//
// DONE
//
// DemoViewController.h
// WTFeedbackViewDemo   1.0
//
// Created by Wagner Truppel on 2009-10-08.
// Copyright 2009 Wagner Truppel (jrcapab@gmail.com). All rights reserved.
//
// Redistribution and use in binary and source forms, with or without
// modification, are permitted for any project, commercial or otherwise,
// provided that the following conditions are met:
//
// Redistributions in binary form must display the copyright notice in the
// About view, website, and/or documentation.
//
// Redistributions of source code must retain the copyright notice, this
// list of conditions, and the following disclaimer.
//
// THIS SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
// OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT OF THIRD PARTY RIGHTS.
// IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
// DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR
// OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE
// USE OR OTHER DEALINGS IN THIS SOFTWARE.

#import <UIKit/UIKit.h>



@interface DemoViewController: UIViewController
{
    @private

        IBOutlet UITextField* textField;
        IBOutlet UIButton* showAgainBtn;

        IBOutlet UISwitch* coverNavBarSwitch;
        IBOutlet UILabel*  coverNavBarLabel;
                     BOOL  coverNavBar;

        IBOutlet UISwitch* showKeyboardSwitch;
        IBOutlet UILabel*  showKeyboardLabel;
                     BOOL  showKeyboard;

        IBOutlet UISwitch* progressFirstSwitch;
        IBOutlet UILabel*  progressFirstLabel;
                     BOOL  progressFirst;

        IBOutlet UILabel* staticStyleLabel;
        IBOutlet UILabel*       styleLabel;
                NSString*       styleText;

        IBOutlet UILabel*  staticKindLabel;
        IBOutlet UILabel*        kindLabel;
                NSString*        kindText;

        IBOutlet UILabel* contentLabel;
                NSString* contentText;

        IBOutlet UILabel* method1Label;
                NSString* method1Text;

        IBOutlet UILabel* method2Label;
                NSString* method2Text;

        IBOutlet UILabel* method3Label;
                NSString* method3Text;

        IBOutlet UILabel* setTextLabel;

        NSInteger section;
        NSInteger row;

        NSTimer* progressTimer;
        NSInteger counter;
}

// ========================================================================= //
                          #pragma mark properties
// ========================================================================= //

@property (readwrite, nonatomic, copy) NSString*   styleText;
@property (readwrite, nonatomic, copy) NSString*    kindText;

@property (readwrite, nonatomic, copy) NSString* contentText;

@property (readwrite, nonatomic, copy) NSString* method1Text;
@property (readwrite, nonatomic, copy) NSString* method2Text;
@property (readwrite, nonatomic, copy) NSString* method3Text;

@property (readwrite, nonatomic, assign) NSInteger section;
@property (readwrite, nonatomic, assign) NSInteger row;

// ========================================================================= //
                           #pragma mark IB actions
// ========================================================================= //

- (IBAction) toggleCoverNavBar;

// ========================================================================= //

- (IBAction) toggleShowProgressViewFirst;

// ========================================================================= //

- (IBAction) toggleShowKeyboard;

// ========================================================================= //

- (IBAction) displayFeedbackView;

// ========================================================================= //

@end
