//
// FunkyFeedbackView.h     1.0
//
// Created by Wagner Truppel on 2009-10-08.
// Copyright 2009 Wagner Truppel (jrcapab@gmail.com). All rights reserved.
//
// Redistribution and use in binary and source forms, with or without
// modification, are permitted for any project, commercial or otherwise,
// provided that the following conditions are met:
//
// Redistributions in binary form must display the copyright notice in the
// About view, website, and/or documentation.
//
// Redistributions of source code must retain the copyright notice, this
// list of conditions, and the following disclaimer.
//
// THIS SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
// OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT OF THIRD PARTY RIGHTS.
// IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
// DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR
// OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE
// USE OR OTHER DEALINGS IN THIS SOFTWARE.
//

// This is an example of subclassing WTFeedbackView to change the
// appearance of its various components.

// FunkyFeedbackView is an extension of a bezel-style flexible
// WTFeedbackView with some interface changes.

#import <UIKit/UIKit.h>

#import "WTFeedbackView.h"





// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ //
                                #pragma mark -
// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ //

@interface FunkyFeedbackView : WTFeedbackView
{
}

// NOTE: this method returns a retained object. However, there is no need
// for the client code to release it, as that is done when one of the
// dismissal methods is invoked.

+ (FunkyFeedbackView*) newFunkyViewForView: (UIView*) addToView
                       showingProgressView: (BOOL) showing
                                  withText: (NSString*) labelText;

// ========================================================================= //

@end

// +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ //
